#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D SamplerBGRA;
uniform sampler2D SamplerTableTex1;
uniform sampler2D SamplerTableTex2;
uniform sampler2D SamplerBackTex1;
uniform sampler2D SamplerBackTex2;

uniform mediump float kk;
uniform mediump float which;

void main(void)
{
    mediump vec3 dst;
    mediump float lum;
    lowp float bound_l = 0.07;
    lowp float saturate = 0.77;
    
    dst.rgb = texture2D(SamplerBGRA, v_texCoord).bgr;        

    lum = dst.r*0.299 + dst.g*0.587 + dst.b*0.114;
    lum = (lum - bound_l)/saturate;
    lum = max(0.0,lum);
    lum = min(1.0,lum);
    gl_FragColor = vec4(vec3(lum),1.0);
}